Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 10), po-debconf
Build-Depends-Indep: fonts-urw-base35 <!nocheck> | gsfonts <!nocheck>,
                     libapache-session-perl <!nocheck>,
                     libauth-yubikey-webclient-perl <!nocheck>,
                     libauthen-radius-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclass-xsaccessor-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-jwt-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libdatetime-format-rfc3339-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libemail-address-xs-perl | libemail-address-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhash-merge-simple-perl <!nocheck>,
                     libhtml-formattext-withlinks-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-socket-timeout-perl <!nocheck>,
                     libio-string-perl,
                     libipc-run-perl <!nocheck>,
                     libjson-perl,
                     libjson-xs-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     liblog-log4perl-perl <!nocheck>,
                     liblwp-protocol-psgi-perl <!nocheck>,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl,
                     libnet-cidr-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libnet-ssleay-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libprotocol-websocket-perl <!nocheck>,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-leaktrace-perl <!nocheck>,
                     libtest-output-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libtime-fake-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     perl,
                     python3-sphinx,
                     python3-sphinx-bootstrap-theme,
                     terser | uglifyjs
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version}),
         ${misc:Depends}
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl,
         lsb-base,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libhttp-parser-xs-perl, libnginx-mod-http-lua, nginx-extras | nginx
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: lemonldap-ng-pubsub-server
Architecture: all
Section: web
Depends: libio-socket-ip-perl,
         libprotocol-websocket-perl,
         libregexp-common-perl,
         ${misc:Depends},
         ${perl:Depends}
Suggests: libio-socket-ssl-perl
Description: Lemonldap::NG Pub/Sub server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides the "Web" optional pub/sub server to share events
 between Lemonldap::NG servers.
 .
 Install libio-socket-ssl-perl to enable TLS.

Package: liblemonldap-ng-ssoaas-apache-client-perl
Architecture: all
Section: web
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
Multi-Arch: foreign
Description: Lemonldap::NG SSOaaS client for Apache
 Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
 system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
 permits one to enroll an Apache server into Lemonldap::NG's SSOaaS service.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libhttp-parser-xs-perl, uwsgi-plugin-psgi
Suggests: nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: liblemonldap-ng-handler-perl (= ${binary:Version}), ${misc:Depends}
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl, libsoap-lite-perl
Breaks: lemonldap-ng-fastcgi-server (<< 2.0.5~)
Replaces: lemonldap-ng-fastcgi-server (<< 2.0.5~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: liblemonldap-ng-common-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libclass-xsaccessor-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libconvert-pem-perl,
         libcrypt-rijndael-perl,
         libcrypt-urandom-perl,
         libhtml-template-perl,
         libjson-perl,
         libjson-xs-perl,
         libmouse-perl,
         libnet-cidr-perl,
         libnet-ssleay-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: libapache-session-browseable-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libemail-address-xs-perl | libemail-address-perl,
            libemail-sender-perl (>=1.300027) | libemail-sender-transport-smtps-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl,
            perl-doc
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi,
         libemail-date-format-perl,
         libhash-merge-simple-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libregexp-common-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libxml-libxml-perl,
            libxml-libxslt-perl
Suggests: libclone-perl, libregexp-assemble-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Manager provides the administration interface.

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi,
         libclone-perl,
         libconvert-base32-perl,
         libemail-date-format-perl,
         libhtml-formattext-withlinks-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblist-moreutils-perl,
         libregexp-assemble-perl,
         libtext-unidecode-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: fonts-urw-base35 | gsfonts,
            libauthen-sasl-perl,
            libauthen-webauthn-perl,
            libconvert-pem-perl,
            libcrypt-jwt-perl,
            libgd-securityimage-perl,
            libio-socket-timeout-perl,
            libio-string-perl,
            libipc-run-perl,
            libmime-tools-perl,
            libnet-ldap-perl,
Suggests: crowdsec,
          gpg,
          libauthen-radius-perl,
          libdata-password-zxcvbn-perl,
          libdbi-perl,
          libmaxmind-db-reader-perl,
          libglib-perl,
          libgssapi-perl,
          libhttp-browserdetect-perl,
          libimage-magick-perl,
          liblasso-perl,
          liblist-moreutils-perl,
          libnet-facebook-oauth2-perl,
          libnet-oauth-perl,
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libsoap-lite-perl,
          libweb-id-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Portal provides the authentication portal.
 .
 You may have to install some suggested packages depending on plugins you
 enabled. For example, libgd-securityimage-perl and fonts-urw-base35 are needed
 if you want to use Captcha,...
